# StepElement_EnumeratedCurveElementPurpose.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | StepElement_EnumeratedCurveElementPurpose { StepElement_Axial, StepElement_YYBending, StepElement_ZZBending, StepElement_Torsion, StepElement_XYShear, StepElement_XZShear, StepElement_Warping }

## Enumeration Type Documentation

enum StepElement_EnumeratedCurveElementPurpose

Enumeration values:

  StepElement_Axial |
  StepElement_YYBending |
  StepElement_ZZBending |
  StepElement_Torsion |
  StepElement_XYShear |
  StepElement_XZShear |
  StepElement_Warping |